From 15a6c763522593484c5d8847bf884eb53afb4313 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 04 2020 08:29:01 +0000
Subject: [PATCH 529/2232] Add test of invocation with multiple parse errors


---

diff --git a/tests/ui/multiple_parse_error.rs b/tests/ui/multiple_parse_error.rs
new file mode 100644
index 0000000..061eab6
--- /dev/null
+++ b/tests/ui/multiple_parse_error.rs
@@ -0,0 +1,9 @@
+#[cxx::bridge]
+mod ffi {
+    struct Monad<T>;
+
+    extern "Haskell" {
+    }
+}
+
+fn main() {}
diff --git a/tests/ui/multiple_parse_error.stderr b/tests/ui/multiple_parse_error.stderr
new file mode 100644
index 0000000..61c4fba
--- /dev/null
+++ b/tests/ui/multiple_parse_error.stderr
@@ -0,0 +1,5 @@
+error: struct with generic parameters is not supported yet
+ --> $DIR/multiple_parse_error.rs:3:5
+  |
+3 |     struct Monad<T>;
+  |     ^^^^^^^^^^^^^^^

